Name: speex
Version: 1.0.1
Release: alt1

Summary: An open-source, patent-free speech codec
License: BSD-style
Group: Sound
Url: http://www.speex.org
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source: %url/download/%name-%version.tar.bz2

Requires: lib%name = %version-%release
BuildPreReq: libogg-devel >= 1.0.0

%description
Speex is a patent-free audio codec designed especially for voice
(unlike Vorbis which targets general audio) signals and providing
good narrowband and wideband quality. This project aims to be
complementary to the Vorbis codec.

%package -n lib%name
Summary: Speex shared library
Group: System/Libraries

%description -n lib%name
This package contains shared library required by Speex-based software.

%package -n lib%name-devel
Summary: Speex development file
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains heade files required to develop
Speex-based softwae.

%package -n lib%name-devel-static
Summary: Speex static libraries
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static library required to develop
Speex-based software.

%prep
%setup -q -n %name-%version

%build
export CFLAGS='-O2 -DRELEASE'
%configure --enable-shared --enable-static
%make

%install
%makeinstall
%__chmod -x README

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc COPYING AUTHORS ChangeLog NEWS README doc/manual.pdf
%_mandir/man?/*
%_bindir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/lib%name.so
%_includedir/*
%_libdir/*.la

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Fri Jun 06 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Wed Mar 26 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0-alt1
- 1.0

* Mon Feb 10 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0-alt0.8rc2
- 1.0rc2
- fixed permissions on docs

* Mon Dec 23 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0-alt0.2beta4
- 1.0beta4

* Wed Nov 13 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0-alt0.1beta3
- First build for Sisyphus.
